## racket 8.2+dfsg1

=== src/cs/Makefile ===
# This makefile is used to a limited degree with nmake, but it mostly
# intended for use as a GNU makefile.

RACKET = ../../bin/racket
SCHEME = scheme

# Controls whether Racket layers are built as unsafe; beware that
# building some Racket libraries using safe mode may require setting
# `PLT_CS_COMPILE_LIMIT` to 1000 (instead of 10000):
UNSAFE_COMP = --unsafe

# Controls whether compiled code is compressed:
COMPRESS_COMP = # --compress

# Controls whether Racket layers are built with expression-level
# debugging; use "--debug" for expression-level information or
# "--srcloc" for procedure-level source locations:
DEBUG_COMP = # --debug

# To disable whole-program optimization for "main.sps", set
# `WHEN_WPO=no_` and `UNLESS_WPO=`.
WHEN_WPO =
UNLESS_WPO = no_

# For cross-compiling, set `CROSS_COMP` to `-m <machine>`, where
# the Chez Scheme directory must have "<machine>/s/xpatch":
CROSS_COMP =

# Can be set by a caller:
EXTRA_COMPILE_DEPS = 

COMPILE_FILE = $(SCHEME) --script compile-file.ss $(UNSAFE_COMP) $(COMPRESS_COMP) $(DEBUG_COMP) $(CROSS_COMP) --dest "$(BUILDDIR)"
COMPILE_FILE_DEPS = compile-file.ss include.ss place-register.ss $(EXTRA_COMPILE_DEPS)

RACKET_SETUP_ARGS = false ../../bin/racket ../../bin/racket ../collects ../etc "" 0 false false 0 ""

PRIMITIVES_TABLES = primitive/kernel.ss primitive/unsafe.ss primitive/flfxnum.ss \
                    primitive/paramz.ss primitive/extfl.ss primitive/network.ss \
                    primitive/futures.ss primitive/foreign.ss primitive/place.ss \
                    primitive/linklet.ss primitive/internal.ss

# Set by the makefile in the "c" directory when driving this one
BUILDDIR =

# Set by the makefile in the "c" directory when driving this one to
# avoid trying to re-build bootstrapped files:
BOOTSTRAPPED = schemified

# List all targets ".scm" that use "convert.rkt" so we can generate a
# dependency rule for all of them:
CONVERTED = schemified/thread.scm schemified/io.scm \
            schemified/regexp.scm schemified/expander.scm \
            schemified/schemify.scm schemified/known.scm

# Additional dependencies for those ".scm" files generated by "convert.rkt":
CONVERT_DEPS = $(PRIMITIVES_TABLES)

CONVERT_RACKET = $(RACKET) -l- setup --chain ../setup-go.rkt $(BUILDDIR)compiled
CONVERT = $(CONVERT_RACKET) '(CONVERTED)' $(BUILDDIR)compiled/convert.d convert.rkt $(UNSAFE_COMP)

# This extension is for libraries, and it changes for cross builds:
CSO = so

# Depenency chain for ".so" files:
RUMBLE_DEPS = $(BUILDDIR)chezpart.$(CSO)
THREAD_DEPS = $(RUMBLE_DEPS) $(BUILDDIR)rumble.$(CSO)
IO_DEPS = $(THREAD_DEPS) $(BUILDDIR)thread.$(CSO)
REGEXP_DEPS = $(IO_DEPS) $(BUILDDIR)io.$(CSO)
SCHEMIFY_DEPS = $(REGEXP_DEPS) $(BUILDDIR)regexp.$(CSO)
LINKLET_DEPS = $(SCHEMIFY_DEPS) $(BUILDDIR)schemify.$(CSO)
EXPANDER_DEPS = $(LINKLET_DEPS) $(BUILDDIR)linklet.$(CSO)
MAIN_DEPS = $(EXPANDER_DEPS) $(BUILDDIR)expander.$(CSO)

converted: $(CONVERTED)

all:
	$(MAKE) rktio
	$(MAKE) rktl
	$(MAKE) $(BUILDDIR)racket.so

CROSS_TARGET = all
cross:
	$(MAKE) $(CROSS_TARGET) CSO=$(HOST) CROSS_COMP="--xpatch $(XPATCH)"

expander-demo: $(BUILDDIR)expander.$(CSO) demo/expander.ss ../../bin/racket
	$(SCHEME) $(EXPANDER_DEPS) $(BUILDDIR)expander.$(CSO) demo/expander.ss

run: $(BUILDDIR)main.so ../../bin/racket
	$(SCHEME) --script $(BUILDDIR)main.so $(RACKET_SETUP_ARGS) $(ARGS)

setup:
	$(MAKE) run ARGS="-l- setup $(ARGS)"

setup-v:
	$(MAKE) run ARGS="-W 'info@compiler/cm info@linklet debug@GC:major error' -l- setup -j 1 $(ARGS)"

run-wpo: $(BUILDDIR)racket.so ../../bin/racket
	$(SCHEME) --script $(BUILDDIR)racket.so $(RACKET_SETUP_ARGS) $(ARGS)

$(WHEN_WPO)$(BUILDDIR)racket.so: $(BUILDDIR)main.so $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) --whole-program $(BUILDDIR)racket.so $(BUILDDIR)main.wpo

$(UNLESS_WPO)$(BUILDDIR)racket.so: $(BUILDDIR)main.so $(COMPILE_FILE_DEPS)
	cat $(MAIN_DEPS) $(BUILDDIR)main.so > $(BUILDDIR)racket.so

MAIN_SRCS = main/help.ss

$(BUILDDIR)main.so: $(MAIN_DEPS) main.sps $(MAIN_SRCS) $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) main.sps $(MAIN_DEPS)

strip:
	$(SCHEME) --script strip.ss $(MAIN_DEPS) $(BUILDDIR)racket.so

rktl:
	$(MAKE) thread-rktl
	$(MAKE) io-rktl
	$(MAKE) regexp-rktl
	$(MAKE) schemify-rktl
	$(MAKE) known-rktl
	$(MAKE) expander-rktl

# For running without an enclosing build of the traditional Racket VM:
../../bin/racket:
	mkdir -p ../../bin
	touch ../../bin/racket

$(BUILDDIR)expander.$(CSO): expander.sls expander/env.ss schemified/expander.scm $(PRIMITIVES_TABLES) $(EXPANDER_DEPS) $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) expander.sls $(EXPANDER_DEPS)

$(BOOTSTRAPPED)/expander.scm: $(BUILDDIR)compiled/expander.rktl $(CONVERT_DEPS)
	$(CONVERT) $(BUILDDIR)compiled/expander.rktl $(BOOTSTRAPPED)/expander.scm

$(BUILDDIR)compiled/expander.rktl:
	$(MAKE) expander-rktl

expander-rktl:
	$(MAKE) bounce BOUNCE_DIR=../expander BOUNCE_TARGET=expander-src BUILDDIR="../cs/"

linklet-demo: $(BUILDDIR)linklet.$(CSO)
	$(SCHEME) $(LINKLET_DEPS) $(BUILDDIR)linklet.$(CSO) demo/linklet.ss

LINKLET_SRCS = linklet/version.ss \
               linklet/read.ss \
               linklet/write.ss \
               linklet/check.ss \
               linklet/performance.ss \
               linklet/annotation.ss \
               linklet/compress.ss \
               linklet/cross-compile.ss

$(BUILDDIR)linklet.$(CSO): linklet.sls $(LINKLET_SRCS) $(LINKLET_DEPS) $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) linklet.sls $(LINKLET_DEPS)


$(BUILDDIR)schemify.$(CSO): schemify.sls schemified/schemify.scm schemified/known.scm $(PRIMITIVES_TABLES) $(SCHEMIFY_DEPS) $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) schemify.sls $(SCHEMIFY_DEPS)

$(BOOTSTRAPPED)/schemify.scm: $(BUILDDIR)compiled/schemify.rktl $(CONVERT_DEPS)
	$(CONVERT) --skip-export $(BUILDDIR)compiled/schemify.rktl $(BOOTSTRAPPED)/schemify.scm

$(BUILDDIR)compiled/schemify.rktl:
	$(MAKE) schemify-rktl

schemify-rktl:
	$(MAKE) bounce BOUNCE_DIR=../schemify BOUNCE_TARGET=schemify-src BUILDDIR="../cs/"


# Used by schemify.sls at compile time
$(BOOTSTRAPPED)/known.scm: $(BUILDDIR)compiled/known.rktl $(CONVERT_DEPS)
	$(CONVERT) --skip-export $(BUILDDIR)compiled/known.rktl $(BOOTSTRAPPED)/known.scm

$(BUILDDIR)compiled/known.rktl:
	$(MAKE) known-rktl

known-rktl:
	$(MAKE) bounce BOUNCE_DIR=../schemify BOUNCE_TARGET=known-src BUILDDIR="../cs/"


regexp-demo: $(BUILDDIR)regexp.$(CSO)
	$(SCHEME) $(REGEXP_DEPS) $(BUILDDIR)regexp.$(CSO) demo/regexp.ss

$(BUILDDIR)regexp.$(CSO): schemified/regexp.scm regexp.sls $(REGEXP_DEPS) $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) regexp.sls $(REGEXP_DEPS)

$(BOOTSTRAPPED)/regexp.scm: $(BUILDDIR)compiled/regexp.rktl $(CONVERT_DEPS)
	$(CONVERT) $(BUILDDIR)compiled/regexp.rktl $(BOOTSTRAPPED)/regexp.scm

$(BUILDDIR)compiled/regexp.rktl:
	$(MAKE) regexp-rktl

regexp-rktl:
	$(MAKE) bounce BOUNCE_DIR=../regexp BOUNCE_TARGET=regexp-src BUILDDIR="../cs/"


io-demo: $(BUILDDIR)io.$(CSO)
	$(SCHEME) $(IO_DEPS) $(BUILDDIR)io.$(CSO) demo/io.ss

$(BUILDDIR)io.$(CSO): schemified/io.scm io.sls $(IO_DEPS) ../rktio/rktio.rktl $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) io.sls $(IO_DEPS)

$(BOOTSTRAPPED)/io.scm: $(BUILDDIR)compiled/io.rktl $(CONVERT_DEPS)
	$(CONVERT) $(BUILDDIR)compiled/io.rktl $(BOOTSTRAPPED)/io.scm

$(BUILDDIR)compiled/io.rktl:
	$(MAKE) io-rktl

io-rktl:
	$(MAKE) bounce BOUNCE_DIR=../io BOUNCE_TARGET=io-src BUILDDIR="../cs/"

rktio:
	$(MAKE) bounce BOUNCE_DIR=../io BOUNCE_TARGET=rktio


thread-demo: $(BUILDDIR)thread.$(CSO)
	$(SCHEME) $(THREAD_DEPS) $(BUILDDIR)thread.$(CSO) demo/thread.ss

$(BUILDDIR)thread.$(CSO): schemified/thread.scm thread.sls $(THREAD_DEPS) $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) thread.sls $(THREAD_DEPS)

$(BOOTSTRAPPED)/thread.scm: $(BUILDDIR)compiled/thread.rktl $(CONVERT_DEPS)
	$(CONVERT) $(BUILDDIR)compiled/thread.rktl $(BOOTSTRAPPED)/thread.scm

$(BUILDDIR)compiled/thread.rktl:
	$(MAKE) thread-rktl

thread-rktl:
	$(MAKE) bounce BOUNCE_DIR=../thread BOUNCE_TARGET=thread-src BUILDDIR="../cs/"


bounce:
	$(MAKE) bounce-go RACKET="`$(RACKET) absify.rkt --exec $(RACKET)`"

bounce-go:
	cd $(BOUNCE_DIR); $(MAKE) RACO="$(RACKET) -N raco -l- raco" $(BOUNCE_TARGET)


chaperone-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/chaperone.ss

hash-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/hash.ss

struct-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/struct.ss

control-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/control.ss

foreign-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/foreign.ss

will-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/will.ss

future-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/future.ss

future2-demo: $(BUILDDIR)rumble.$(CSO)
	$(SCHEME) $(BUILDDIR)chezpart.$(CSO) $(BUILDDIR)rumble.$(CSO) demo/future2.ss

RUMBLE_SRCS = rumble/virtual-register.ss \
              rumble/check.ss \
	      rumble/syntax-rule.ss \
              rumble/constant.ss \
              rumble/hash-code.ss \
              rumble/struct.ss \
              rumble/prefab.ss \
              rumble/procedure.ss \
              rumble/impersonator.ss \
              rumble/equal.ss \
              rumble/object-name.ss \
              rumble/arity.ss \
              rumble/intmap.ss \
              rumble/patricia.ss \
              rumble/hamt-stencil.ss \
              rumble/hamt-vector.ss \
              rumble/hash.ss \
              rumble/datum.ss \
	      rumble/lock.ss \
	      rumble/thread-local.ss \
              rumble/thread-cell.ss \
              rumble/parameter.ss \
              rumble/begin0.ss \
              rumble/value.ss \
              rumble/pthread.ss \
              rumble/control.ss \
              rumble/interrupt.ss \
              rumble/engine.ss \
              rumble/source.ss \
              rumble/error.ss \
              rumble/error-rewrite.ss \
              rumble/srcloc.ss \
              rumble/boolean.ss \
              rumble/bytes.ss \
              rumble/string.ss \
              rumble/char.ss \
              rumble/char-range.ss \
              rumble/symbol.ss \
              rumble/list.ss \
              rumble/vector.ss \
              rumble/box.ss \
              rumble/immutable.ss \
              rumble/keyword.ss \
              rumble/mpair.ss \
              rumble/number.ss \
              rumble/random.ss \
              rumble/flvector.ss \
              rumble/correlated.ss \
              rumble/graph.ss \
              rumble/time.ss \
              rumble/memory.ss \
              rumble/ephemeron.ss \
              rumble/will-executor.ss \
              rumble/system.ss \
              rumble/unsafe.ss \
              rumble/extfl.ss \
              rumble/place.ss \
              rumble/errno-data.ss \
              rumble/foreign.ss \
              rumble/async-callback.ss \
              rumble/future.ss \
              rumble/version.ss \
              rumble/inline.ss \
              ../version/racket_version.h

$(BUILDDIR)rumble.$(CSO): $(RUMBLE_DEPS) rumble.sls $(RUMBLE_SRCS) $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) rumble.sls $(RUMBLE_DEPS)

$(BUILDDIR)chezpart.$(CSO): chezpart.sls $(COMPILE_FILE_DEPS)
	$(COMPILE_FILE) chezpart.sls

clean:
	rm -f chezpart.$(CSO) rumble.$(CSO) regexp.$(CSO) io.$(CSO) linklet.$(CSO) expander.$(CSO) schemify.$(CSO)
	rm -f chezpart.so rumble.so regexp.so io.so linklet.so expander.so schemify.so
	rm -f chezpart.wpo rumble.wpo regexp.wpo io.wpo linklet.wpo expander.wpo schemify.wpo
	rm -f thread.$(CSO) thread.wpo main.wpo main.so
	rm -rf compiled


# The following included dependency files are generated by when
# creating compiler/expander.rktl, etc. The `-inclide` statements are

=== src/io/Makefile ===
# This makefile can be used directly or driven by other makefiles.
# See "../expander/Makefile" for more notes.

RACKET = ../../bin/racket
RACO = $(RACKET) -N raco -l- raco

# Can be set to empty to avoid building rktio
RKTIO_DEP=../build/so-rktio/Makefile

# When flattening, replace a dynamic lookup from a primitive table to
# a direct use of the primitive name:
DIRECT = ++direct thread ++direct pthread

# Enable the sanity check for global state (to be avoided in
# favor of place-local state), but declare some initialized-once
# global state to be ok:
GLOBALS = --no-global \
          ++global-ok installed-read \
          ++global-ok installed-read-syntax \
          ++global-ok installed-read-accept-reader \
          ++global-ok installed-read-accept-lang \
          ++global-ok maybe-raise-missing-module \
          ++global-ok "string->number?" \
          ++global-ok "printable-regexp?" \
          ++global-ok do-global-print \
          ++global-ok simplify-path/dl \
          ++global-ok exec-file \
          ++global-ok run-file \
          ++global-ok collects-dir \
          ++global-ok config-dir \
          ++global-ok addon-dir \
          ++global-ok host-collects-dir \
          ++global-ok host-config-dir

io-src: $(RKTIO_DEP)
	$(RACO) make ../expander/bootstrap-run.rkt
	$(MAKE) io-src-generate

GENERATE_ARGS = -t main.rkt \
                --check-depends $(BUILDDIR)compiled/io-dep.rktd \
                ++depend-module ../expander/bootstrap-run.rkt \
                ++depend ../rktio/rktio.rktl \
                --depends $(BUILDDIR)compiled/io-dep.rktd \
                --makefile-depends $(DEPENDSDIR)compiled/io.rktl $(BUILDDIR)compiled/io.d \
                -c $(BUILDDIR)compiled/cache-src \
                -k ../.. -s -x $(DIRECT) $(GLOBALS) \
                -o $(BUILDDIR)compiled/io.rktl

# This target can be used with a `RACKET` that builds via `-l- setup --chain ...`
io-src-generate:
	$(RACKET) ../expander/bootstrap-run.rkt $(GENERATE_ARGS)

demo: $(RKTIO_DEP)
	$(RACO) make demo.rkt
	$(RACKET) demo.rkt

demo-thread: $(RKTIO_DEP)
	$(RACO) make demo-thread.rkt
	$(RACKET) demo-thread.rkt


../build/so-rktio/Makefile: ../rktio/configure ../rktio/Makefile.in ../rktio/rktio_config.h.in
	mkdir -p ../build/so-rktio
	$(MAKE) build-rktio RACKET="`$(RACKET) ../cs/absify.rkt --exec $(RACKET)`" PREFIX="`$(RACKET) ../cs/absify.rkt ../..`"

build-rktio:
	cd ../build/so-rktio; ../../rktio/configure --enable-standalone --prefix=$(PREFIX)
	cd ../build/so-rktio; make install-shared-object


.PHONY: io-src io-src-generate demo rktio build-rktio

=== src/regexp/Makefile ===
# This makefile can be used directly or driven by other makefiles.
# See "../expander/Makefile" for more notes.

RACKET = ../../bin/racket
RACO = $(RACKET) -N raco -l- raco

regexp-src:
	$(RACO) make ../expander/bootstrap-run.rkt
	$(MAKE) regexp-src-generate

GENERATE_ARGS = -t main.rkt \
                --check-depends $(BUILDDIR)compiled/regexp-dep.rktd \
                ++depend-module ../expander/bootstrap-run.rkt \
                --depends $(BUILDDIR)compiled/regexp-dep.rktd \
                --makefile-depends $(DEPENDSDIR)compiled/regexp.rktl $(BUILDDIR)compiled/regexp.d \
                -c $(BUILDDIR)compiled/cache-src \
                -k ../.. -s -x --no-global \
                -o $(BUILDDIR)compiled/regexp.rktl

# This target can be used with a `RACKET` that builds via `-l- setup --chain ...`
regexp-src-generate:
	$(RACKET) ../expander/bootstrap-run.rkt $(GENERATE_ARGS)

demo:
	$(RACO) make demo.rkt
	$(RACKET) demo.rkt

# Writes the extracted, compiled, decompiled regexp to compiled/regexp.rkt
decompile:
	$(RACO) make ../expander/bootstrap-run.rkt
	$(RACKET) $(RKT_ARGS) ../expander/bootstrap-run.rkt -t main.rkt -c compiled/cache-src -s -x -D -o compiled/regexp.rkt

# Writes the extracted, compiled regexp to compiled/exp.zo
bytecode:
	$(RACO) make ../expander/bootstrap-run.rkt
	$(RACKET) $(RKT_ARGS) ../expander/bootstrap-run.rkt -t main.rkt -c compiled/cache-src -s -x -B -o compiled/regexp.zo

.PHONY: regexp-src regexp-src-generate demo decompile

=== src/ChezScheme/bintar/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

version = 9.5.5
m := $(shell find ../bin/* -type d | xargs basename)

R = csv$(version)
TARBALL = $(R)-$(m).tar.gz

CONTENTS=\
  $(R)/LICENSE\
  $(R)/NOTICE\
  $(R)/scheme.1.in\
  $(R)/installsh\
  $(R)/Makefile\
  $(R)/examples\
  $(R)/boot\
  $(R)/bin

$(TARBALL): $(CONTENTS)
	( BROKEN=`find -L $R -type l` ; \
          if test -n "$$BROKEN" ; then \
             echo "Error: missing $(BROKEN)" ; \
             exit 1 ; \
          fi )
	tar -czhf $(TARBALL) $R
	rm -rf $(R) 

$(R)/LICENSE: $(R)
	( cd $(R) ; ln -s ../../../LICENSE . )

$(R)/NOTICE: $(R)
	( cd $(R) ; ln -s ../../../NOTICE . )

$(R)/scheme.1.in: $(R)
	( cd $(R) ; ln -s ../../scheme.1.in . )

$(R)/installsh: $(R)
	( cd $(R) ; ln -s ../../installsh . )

$(R)/Makefile: $(R)
	( cd $(R) ; ln -s ../../Mf-install Makefile )

$(R)/examples: $(R)
	( cd $(R) ; ln -s ../../examples . )

$(R)/boot: $(R)
	mkdir -p $(R)/boot/$(m)
	( cd $(R)/boot/$(m) ; ln -s ../../../../boot/$(m)/{scheme.h,petite.boot,scheme.boot,revision} . )
	case $(m) in \
          *nt) \
            ( cd $R/boot/$(m) ; ln -s ../../../../boot/$(m)/{csv955md.lib,csv955mt.lib,mainmd.obj,mainmt.obj,scheme.res} . ) \
            ;; \
          *) \
            ( cd $R/boot/$(m) ; ln -s ../../../../boot/$(m)/{main.o,kernel.o} . ) \
            ;; \
        esac

$(R)/bin: $(R)
	mkdir -p $(R)/bin/$(m)
	case $(m) in \
          *nt) \
            ( cd $R/bin/$(m) ; ln -s ../../../../bin/$(m)/{scheme.exe,csv955.dll,csv955.lib,vcruntime140.lib} . ) \
            ;; \
          *) \
            ( cd $R/bin/$(m) ; ln -s ../../../../bin/$(m)/scheme . ) \
            ;; \
        esac

$(R):
	mkdir $(R)

clean:
	rm -rf $(R) $(TARBALL)

=== src/ChezScheme/pkg/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

m := $(shell find ../bin/* -type d | xargs basename)
version = 9.5.5
release = 1

DOTUSER = $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
DOTGROUP = $(shell ls -ldg . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
BUILDROOT = $(m)$(version)
RELEASE = csv$(version)
TARBALL = $(RELEASE)-$(m).tar.gz
PKG = $(RELEASE)-$(m)-$(release).pkg

PKGCONTENT =\
 $(BUILDROOT)/Resources/en.lproj/Welcome.html\
 $(BUILDROOT)/Resources/en.lproj/License.txt\
 $(BUILDROOT)/Distribution\
 $(BUIDROOT)/Root/bin\
 $(BUILDROOT)/Root/lib\
 $(BUILDROOT)/Root/man

$(PKG): $(BUILDROOT)/$(PKG)
	sudo /usr/bin/productbuild\
          --resources $(BUILDROOT)/Resources\
          --distribution $(BUILDROOT)/Distribution\
          --package-path $(BUILDROOT)\
          $(PKG)
	sudo chown $(DOTUSER):$(DOTGROUP) $(PKG)
	sudo rm -rf $(RELEASE) $(BUILDROOT)

$(BUILDROOT)/$(PKG): $(PKGCONTENT)
	sudo /usr/bin/pkgbuild\
          --root $(BUILDROOT)/Root\
          --identifier chezscheme\
          --version $(version)\
          --install-location /\
          --ownership recommended\
          $(BUILDROOT)/$(PKG)

$(BUILDROOT)/Distribution: $(BUILDROOT)
	echo '<?xml version="1.0" encoding="utf-8" standalone="no"?>' > $(BUILDROOT)/Distribution
	echo '<installer-gui-script minSpecVersion="1">' >> $(BUILDROOT)/Distribution
	echo '    <pkg-ref id="chezscheme">' >> $(BUILDROOT)/Distribution
	echo '        <bundle-version/>' >> $(BUILDROOT)/Distribution
	echo '    </pkg-ref>' >> $(BUILDROOT)/Distribution
	echo '    <title>Chez Scheme</title>' >> $(BUILDROOT)/Distribution
	echo '    <welcome file="Welcome.html"/>' >> $(BUILDROOT)/Distribution
	echo '    <license file="License.txt"/>' >> $(BUILDROOT)/Distribution
	echo '    <options customize="never" rootVolumeOnly="true"/>' >> $(BUILDROOT)/Distribution
	echo '    <options customize="never" require-scripts="false"/>' >> $(BUILDROOT)/Distribution
	echo '    <choices-outline>' >> $(BUILDROOT)/Distribution
	echo '        <line choice="default">' >> $(BUILDROOT)/Distribution
	echo '            <line choice="chezscheme"/>' >> $(BUILDROOT)/Distribution
	echo '        </line>' >> $(BUILDROOT)/Distribution
	echo '    </choices-outline>' >> $(BUILDROOT)/Distribution
	echo '    <choice id="default"/>' >> $(BUILDROOT)/Distribution
	echo '    <choice id="chezscheme" visible="false">' >> $(BUILDROOT)/Distribution
	echo '        <pkg-ref id="chezscheme"/>' >> $(BUILDROOT)/Distribution
	echo '    </choice>' >> $(BUILDROOT)/Distribution
	echo '    <pkg-ref id="chezscheme" version="$(version)" onConclusion="none" installKBytes="1639">#$(PKG)</pkg-ref>' >> $(BUILDROOT)/Distribution
	echo '</installer-gui-script>' >> $(BUILDROOT)/Distribution
	chmod 644 $(BUILDROOT)/Distribution

$(BUILDROOT)/Resources/en.lproj/Welcome.html: $(BUILDROOT)/Resources/en.lproj
	echo '<html>' > $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<h3>Chez Scheme Version $(version)</h3>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<p>Copyright &copy; 2020 Cisco Systems, Inc.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<p>Chez Scheme is a programming language and an implementation of that language, with supporting tools and documentation.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '</html>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	chmod 644 $(BUILDROOT)/Resources/en.lproj/Welcome.html

$(BUILDROOT)/Resources/en.lproj/License.txt: $(BUILDROOT)/Resources/en.lproj
	cat ../../NOTICE ../../LICENSE > $(BUILDROOT)/Resources/en.lproj/License.txt
	chmod 644 $(BUILDROOT)/Resources/en.lproj/License.txt

$(BUILDROOT)/Resources/en.lproj: $(BUILDROOT)/Resources
	install -d $(BUILDROOT)/Resources/en.lproj

$(BUILDROOT)/Resources: $(BUILDROOT)
	install -d $(BUILDROOT)/Resources

$(BUIDROOT)/Root/bin $(BUILDROOT)/Root/lib $(BUILDROOT)/Root/man: $(BUILDROOT)/Root $(RELEASE)
	( cd $(RELEASE); sudo make install InstallGroup=wheel TempRoot=../$(BUILDROOT)/Root )

$(BUILDROOT)/Root: $(BUILDROOT)
	install -d $(BUILDROOT)/Root

$(RELEASE): $(BUILDROOT) ../bintar/$(TARBALL)
	tar -xzf ../bintar/$(TARBALL)

$(BUILDROOT):
	install -d $(BUILDROOT)

clean:
	rm -rf $(PKG) $(BUILDROOT) $(RELEASE)

=== src/ChezScheme/rpm/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

version = 9.5.5
release = 1
m := $(shell find ../bin/* -type d | xargs basename)
arch := $(shell if test "$(m)" == "i3le" ; then echo i686 ; elif test "$(m)" == "a6le" ; then echo x86_64 ; else echo UNKNOWN ; fi)
DOTUSER := $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
DOTGROUP := $(shell ls -ldg . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
TMP := $(shell pwd)/tmp
SPEC = $(TMP)/ChezScheme-$(version)-$(arch)-$(release).spec
RELEASE = csv$(version)
TARBALL = $(RELEASE)-$(m).tar.gz
RPM = ChezScheme-$(version)-$(release).$(arch).rpm


$(RPM): $(TMP)/$(RPM)
	sudo install -m 644 -o $(DOTUSER) -g $(DOTGROUP) $(TMP)/${RPM} .

$(TMP)/$(RPM): $(SPEC) $(TMP)/$(TARBALL)
	sudo setarch $(arch) rpmbuild\
          --target $(arch)\
          --define "_topdir $(TMP)" \
          --define "_srcrpmdir $(TMP)" \
          --define "_rpmdir $(TMP)" \
          --define "_sourcedir $(TMP)" \
          --define "_builddir $(TMP)" \
          --define "_rpmfilename %{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}.rpm" \
          --quiet -ba $(SPEC)

$(SPEC): $(TMP)
	echo 'Summary: Chez Scheme: A high-performance version of Scheme' > $(SPEC)
	echo 'Name: ChezScheme' >> $(SPEC)
	echo 'Version: $(version)' >> $(SPEC)
	echo 'Release: $(release)' >> $(SPEC)
	echo 'Provides: ChezScheme-runtime-{VERSION}' >> $(SPEC)
	echo 'License: Apache 2.0' >> $(SPEC)
	echo 'URL: http://github.com/cisco/chezscheme' >> $(SPEC)
	echo 'Group: Development/Languages' >> $(SPEC)
	echo 'Source0: $(TARBALL)' >> $(SPEC)
	echo 'BuildRoot: %{_tmppath}/%{name}' >> $(SPEC)
	echo '%description' >> $(SPEC)
	echo 'Chez Scheme is a programming language and an implementation of that language,' >> $(SPEC)
	echo 'with supporting tools and documentation.' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%prep' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%setup -T -b 0 -n $(RELEASE)' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '#%build' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%install' >> $(SPEC)
	echo 'make install TempRoot=%{buildroot}' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%files' >> $(SPEC)
	echo '#%doc NOTICE' >> $(SPEC)
	echo '#%doc LICENSE' >> $(SPEC)
	echo '/usr/lib/$(RELEASE)' >> $(SPEC)
	echo '/usr/bin/petite' >> $(SPEC)
	echo '/usr/bin/scheme' >> $(SPEC)
	echo '/usr/bin/scheme-script' >> $(SPEC)
	echo '/usr/share/man/man1/petite.1.gz' >> $(SPEC)
	echo '/usr/share/man/man1/scheme.1.gz' >> $(SPEC)

$(TMP)/$(TARBALL): $(TMP) ../bintar/$(TARBALL)
	cp ../bintar/$(TARBALL) $(TMP)

$(TMP):
	mkdir $(TMP)

clean:
	rm -rf $(TMP) $(RPM)

=== src/ChezScheme/wininstall/Makefile ===
VERSION := 9.5.5
WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension
export MSYS_NO_PATHCONV=1

ChezScheme.exe: x86/bundle.wixobj ChezScheme32.msi ChezScheme64.msi
	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $< -out $@

ChezScheme32.msi: x86/product.wixobj x86/examples.wixobj x86/i3nt.wixobj x86/ti3nt.wixobj x86/vcredist.wixobj x86/ui.wixobj
	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out "$@"

ChezScheme64.msi: x64/product.wixobj x64/a6nt.wixobj x64/examples.wixobj x64/ta6nt.wixobj x64/vcredist.wixobj x64/ui.wixobj
	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out "$@"

x86/%.wixobj: %.wxs
	cmd.exe /c candle.bat -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@

x64/%.wixobj: %.wxs
	cmd.exe /c candle.bat -arch x64 -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@

vcredist.wxs: locate-vcredist.bat
	cmd.exe /c locate-vcredist.bat

.PHONY: workareas
workareas:
	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt
	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt
	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt
	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt

.PHONY: clean
clean:
	-rm -rf *.msi *.wixpdb x86/ x64/ vcredist.wxs *.wixobj *.exe

=== src/worksp/cs/Makefile ===

INCS = /I.. /I..\..\rktio /I..\librktio /I..\..\worksp\cs /I$(SCHEME_DIR)\$(MACHINE)\boot\$(MACHINE)

RKTIO_LIB = ..\..\build\librktio.lib
BASE_WIN32_LIBS = WS2_32.lib Shell32.lib User32.lib Winmm.lib
WIN32_LIBS = $(BASE_WIN32_LIBS) RpCrt4.lib Ole32.lib Advapi32.lib
SCHEME_LIB_FULL = $(SCHEME_DIR)\$(MACHINE)\boot\$(MACHINE)\$(SCHEME_LIB)

LIBS = $(RKTIO_LIB) \
       $(SCHEME_LIB_FULL) \
       $(WIN32_LIBS)

LZ4_DLL = ..\liblz4mt.dll
LZ4_LIB = $(SCHEME_DIR)\$(MACHINE)\lz4\lib\liblz4mt.lib

DEST_DLL = ..\..\build\raw_libracketcs.dll
DEST = ..\..\build\raw_racketcs.exe
GDEST = ..\..\build\raw_gracketcs.exe
CSDIR = ..\..\cs\c

MAIN_DEPS = ..\..\start\config.inc \
            ..\..\start\parse_cmdl.inc \
            ..\..\start\cmdl_to_argv.inc \
            ..\..\start\delayed.inc \
            ..\..\start\win_single.inc \
            ..\..\start\embedded_dll.inc

MEMMOD = ..\..\start\MemoryModule.c

FLAGS = /DWIN32 /Ox /MT /GF
COMP_SUBDIR = /DCS_COMPILED_SUBDIR=1

all: $(DEST) $(GDEST) $(LZ4_DLL)

$(DEST_DLL): $(CSDIR)\boot.c libracket.res $(RKTIO_LIB) $(SCHEME_LIB_FULL)
	cl /LD /DLL /Fe$(DEST_DLL) $(FLAGS) $(INCS) $(CSDIR)\boot.c libracket.res $(LIBS)

libracket.res: libracket.rc
	rc /l 0x409 /folibracket.res libracket.rc

$(DEST): $(CSDIR)\main.c $(MAIN_DEPS) $(MEMMOD) $(DEST_DLL) racket.res
	cl /Fe$(DEST) $(COMP_SUBDIR) $(FLAGS) $(INCS) $(CSDIR)\main.c $(MEMMOD) racket.res $(WIN32_LIBS)

racket.res: ../racket/racket.rc ../racket/racket.ico
	rc /l 0x409 /foracket.res ../racket/racket.rc

$(GDEST): $(CSDIR)\grmain.c $(CSDIR)\main.c $(MAIN_DEPS) $(DEST_DLL) gracket.res
	cl /Fe$(GDEST) $(COMP_SUBDIR) $(FLAGS) $(INCS) $(CSDIR)\grmain.c $(MEMMOD) gracket.res $(WIN32_LIBS)

gracket.res: ../gracket/gracket.rc ../gracket/gracket.ico
	rc /l 0x409 /fogracket.res ../gracket/gracket.rc

# Useful for adjusting boot file compression:

$(LZ4_DLL): lz4.c lz4.def $(LZ4_LIB)
	cl /LD /DLL /Fe$(LZ4_DLL) $(FLAGS) lz4.c $(LZ4_LIB) $(WIN32_LIBS) /link /DEF:lz4.def 

# Useful for debugging:

RKTIO_DLL = ..\..\lib\librktio.dll

rktio-dll:
	cl /Fe$(RKTIO_DLL) /LD $(RKTIO_LIB) $(BASE_WIN32_LIBS) ..\..\rktio\rktio.def /link /machine:x64

=== src/ChezScheme/csug/gifs/Makefile ===
gifs = ghostRightarrow.gif

# ch1.gif ch2.gif ch3.gif ch4.gif ch5.gif ch6.gif ch7.gif ch8.gif ch9.gif\
# ch10.gif ch11.gif ch12.gif

density=-r90x90

.SUFFIXES:
.SUFFIXES: .tex .gif .eps

# translate ps file to ppm, crop to minimum background, and translate ppm
# to gif with white (background) transparent
#
.tex.gif:
	echo | latex $* &&\
          dvips -f < $*.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif -transparent white > $*.gif
	rm -f $*.dvi $*.log *.aux
	test -f $*.gif && chmod 644 $*.gif

# translate ps file to gif w/o transparent white background
.eps.gif:
	cat $*.eps |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif > $*.gif
	rm -f $*.dvi $*.log *.aux
	test -f $*.gif && chmod 644 $*.gif

all: ${gifs}

# make ghostRightarrow.gif a completely transparent version of Rightarrow.ps
#
# translate ps to gif as above but w/o making white transparent, map black
# to white, convert to ppm, and convert back to gif with white transparent
#
# could skip intermediate conversion to gif if we could map black to white
# with some ppm tool
#
# it seems like should be able to replace last three steps with
#    giftrans -g '#000000=#ffffff' -t '#ffffff'
# or at least
#    giftrans -g '#000000=#ffffff' | giftrans -t '#ffffff'
# but giftrans changes only the first white color it sees, not all
#
ghostRightarrow.gif: Rightarrow.tex
	echo | latex Rightarrow &&\
          dvips -f < Rightarrow.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif |\
          giftrans -g '#000000=#ffffff' |\
          giftopnm |\
          ppmtogif -transparent white > $*.gif
	rm -f Rightarrow.dvi Rightarrow.log Rightarrow.aux
	test -f $*.gif && chmod 644 $*.gif

clean: ; rm -f *.gif Make.out

=== src/ChezScheme/stex/gifs/Makefile ===
gifs = ghostRightarrow.gif

density=-r90x90

.SUFFIXES:
.SUFFIXES: .tex .gif

# translate ps file to ppm, crop to minimum background, and translate ppm
# to gif with white (background) transparent
#
.tex.gif:
	echo | latex $* &&\
          dvips -f < $*.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif -transparent white > $*.gif
	rm -f $*.dvi $*.log *.aux
	test -f $*.gif && chmod 644 $*.gif

all: ${gifs}

# make ghostRightarrow.gif a completely transparent version of Rightarrow.ps
#
# translate ps to gif as above but w/o making white transparent, map black
# to white, convert to ppm, and convert back to gif with white transparent
#
# could skip intermediate conversion to gif if we could map black to white
# with some ppm tool
#
# it seems like should be able to replace last three steps with
#    giftrans -g '#000000=#ffffff' -t '#ffffff'
# or at least
#    giftrans -g '#000000=#ffffff' | giftrans -t '#ffffff'
# but giftrans changes only the first white color it sees, not all
#
ghostRightarrow.gif: Rightarrow.tex
	echo | latex Rightarrow &&\
          dvips -f < Rightarrow.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif |\
          giftrans -g '#000000=#ffffff' |\
          giftopnm |\
          ppmtogif -transparent white > $*.gif
	rm -f Rightarrow.dvi Rightarrow.log Rightarrow.aux
	test -f $*.gif && chmod 644 $*.gif

clean:
	rm -f *.log *.aux *.dvi Make.out

distclean: clean
	rm -f *.gif

=== src/ChezScheme/zlib/contrib/minizip/Makefile ===
CC=cc
CFLAGS=-O -I../..

UNZ_OBJS = miniunz.o unzip.o ioapi.o ../../libz.a
ZIP_OBJS = minizip.o zip.o   ioapi.o ../../libz.a

.c.o:
	$(CC) -c $(CFLAGS) $*.c

all: miniunz minizip

miniunz:  $(UNZ_OBJS)
	$(CC) $(CFLAGS) -o $@ $(UNZ_OBJS)

minizip:  $(ZIP_OBJS)
	$(CC) $(CFLAGS) -o $@ $(ZIP_OBJS)

test:	miniunz minizip
	./minizip test readme.txt
	./miniunz -l test.zip
	mv readme.txt readme.old
	./miniunz test.zip

clean:
	rm -f *.o *~ minizip miniunz

=== debian/changelog ===
racket (8.2+dfsg1-2ubuntu1) jammy; urgency=medium

  * d/control: Recommends libssl3 instead of libssl1.1

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 15 Feb 2022 09:49:30 +0100

racket (8.2+dfsg1-2) unstable; urgency=medium

  * Re-upload to unstable.
  * Bug fix: "build with -O2 to avoid misbuild with CFLAGS=-O3", thanks to
    Steve Langasek (Closes: #935930).

 -- David Bremner <bremner@debian.org>  Mon, 13 Sep 2021 20:48:34 -0300

racket (8.2+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Tue, 20 Jul 2021 11:05:19 -0300

racket (8.0+dfsg1-4) experimental; urgency=medium

  * Bug fix: "missing Breaks+Replaces: racket-common (<< 8)", thanks
    to Andreas Beckmann (Closes: #986874).
  * Drop Breaks/Depends on plt-scheme (package not in oldstable)
  * Drop provides of plt-scheme.

 -- David Bremner <bremner@debian.org>  Tue, 13 Apr 2021 08:25:15 -0300

racket (8.0+dfsg1-3) experimental; urgency=medium

  * Use bc backend for all except amd64, arm64, armhf, i386 (enable some
    ports)

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 18:00:08 -0300

racket (8.0+dfsg1-2) experimental; urgency=medium

  * Use bc backend on armel, mips64el, mipsel, ppc64el, and s390x
  * Don't pass --noopt to configure by default

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 13:03:07 -0300

racket (8.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Build with Chez Scheme backend
  * update debian/copyright for Chez Scheme bundle

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 08:18:48 -0300

=== debian/control ===
Source: racket
Section: lisp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
Standards-Version: 4.1.1
Build-Depends: cdbs, debhelper (>= 10), patchutils, libffi-dev,
 libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng-dev, libssl-dev,
 libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev,
 sqlite3, zlib1g-dev, liblz4-dev
Vcs-Git: https://salsa.debian.org/bremner/racket
Vcs-Browser: https://salsa.debian.org/bremner/racket
Homepage: https://www.racket-lang.org/

Package: racket
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
Recommends: racket-doc (>= ${source:Upstream-Version}),
            libglib2.0-0, libpangocairo-1.0-0, libjpeg62-turbo, libpng16-16,
            libgtk2.0-0, libgdk-pixbuf2.0-0, libssl3
Breaks: racket-common (<<8.0~)
Replaces: racket-common (<<8.0~)
Description: extensible programming language in the Scheme family
 Racket (previously PLT Scheme) is a programming language suitable for
 scripting and application development, including GUIs and web
 services.
 .
 It supports the creation of new programming languages through a rich,
 expressive syntax system. Supplied languages include Typed Racket,
 ACL2, FrTime, and Lazy Racket, and R6RS Scheme.
 .
 Racket includes the DrRacket programming environment, a virtual
 machine with a just-in-time compiler, tools for creating stand-alone
 executables, the Racket web server, extensive libraries, and
 documentation for both beginners and experts.

Package: racket-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: racket (>= ${source:Upstream-Version})
            , racket-doc (>= ${source:Upstream-Version})
            , sensible-utils
Breaks: plt-scheme (<<5.0~), racket-doc (<<6.1~)
Replaces: plt-scheme (<<5.0~), racket-doc (<<6.1~)
Description: extensible programming language in the Scheme family (shared files)
 This package includes the architecture independent files for Racket
 (but not the documentation, see racket-doc for that).

Package: racket-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: racket (>= ${source:Upstream-Version})
Enhances: racket
Breaks: plt-scheme-doc (<<5.0~)
Replaces: plt-scheme-doc (<<5.0~)
Provides: plt-scheme-doc
Description: extensible programming language in the Scheme family (documentation)
 This package includes all of the documentation for Racket.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_CONFIGURE_SCRIPT := $(CURDIR)/src/configure
DEB_CONFIGURE_EXTRA_FLAGS := --enable-libz --enable-liblz4
MZDYN := mzdyn3m.o

# most architectectures are supported only by the old pre-Chez backend
ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf i386))
    DEB_CONFIGURE_EXTRA_FLAGS += --enable-bcdefault
endif

# keep the collect build from using every available core, unless 
# explicitly enabled.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS),64)
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    else
	NUMJOBS = 1
    endif
else
    NUMJOBS = 1
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    DEB_CONFIGURE_EXTRA_FLAGS += --enable-noopt
endif

DEB_CFLAGS_MAINT_APPEND := -O2
export DEB_CFLAGS_MAINT_APPEND

# Support for generating ".orig.tar.gz" from git

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

DEB_MAKE_ENVVARS += HOME=/nonexistant PLT_SETUP_OPTIONS="-j $(NUMJOBS) $(PLT_EXTRA)"

DEB_BUILDDIR := $(DEB_SRCDIR)/build

DEB_DH_INSTALL_ARGS_racket-common := -X.zo -X.dep -X$(MZDYN) -X/tests/
DEB_DH_INSTALL_ARGS_racket-doc := -Xrelease
DEB_DH_COMPRESS_ARGS := -X.sxref -X.sqlite

# don't compress rkt source files since some are needed for
# docs such as the quick.scrbl example and blueboxes.rktd files
DEB_COMPRESS_EXCLUDE_ALL := .scrbl .rkt .rktd

DEB_DH_BUILDDEB_ARGS := -- -Zxz

# do not strip mzscheme, as this causes it to stop working
# do not strip mred, as this fails on some arches
DEB_DH_STRIP_ARGS_racket := -Xbin/mzscheme -Xbin/mred

DEB_MAKE_INSTALL_TARGET= no-run

common-install-arch:: do-install-arch
common-install-indep:: do-install-indep

do-install-arch: PLT_EXTRA=--no-docs
do-install-arch:
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/bin/planet

do-install-indep: PLT_EXTRA=--no-launcher --no-install --no-post-install
do-install-indep:
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR) install DESTDIR=$(CURDIR)/debian/tmp

cleanbuilddir/racket::
	rm -rf build
	rm -rf include # This got created at build-time
	rm -f debian/mzconfig.h debian/racket-arch.mk

debian/racket-arch.mk: debian/racket-arch.c
	touch debian/mzconfig.h && cpp -Isrc -Idebian -o - $< | tail -1 > $@

get-orig-source:
	git archive --format=tar --prefix=racket-${UPSTREAM}/ upstream/${UPSTREAM} | gzip -9 > ../${ORIG}

PATCH_EXPORT_SCRIPT = /usr/share/gitpkg/hooks/quilt-patches-deb-export-hook

export-patches: 
	[ ! -r debian/patches ] || \
	grep "^\#.*$(notdir $(PATCH_EXPORT_SCRIPT))" debian/patches/series
	rm -rf debian/patches
	bash $(PATCH_EXPORT_SCRIPT)

.PHONY: git-orig-source export-patches

## racket 8.6+dfsg1

=== src/ChezScheme/wininstall/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 9.5.5
+VERSION := 9.5.9
 WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension
 export MSYS_NO_PATHCONV=1
 
@@ -22,10 +22,10 @@
 
 .PHONY: workareas
 workareas:
-	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt
-	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt
-	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt
-	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt
+	cd ..; cmd.exe /c build.bat a6nt
+	cd ..; cmd.exe /c build.bat i3nt
+	cd ..; cmd.exe /c build.bat ta6nt
+	cd ..; cmd.exe /c build.bat ti3nt
 
 .PHONY: clean
 clean:

=== debian/changelog ===
racket (8.6+dfsg1-2) unstable; urgency=medium

  * Cherry pick upstream commit 261948f02a062728faa5b625e8d765b4fdaf7e16
  * Restore previous building of documentation only for arch all builds.

 -- David Bremner <bremner@debian.org>  Tue, 30 Aug 2022 22:07:54 -0700

racket (8.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Move man pages to racket-common

 -- David Bremner <bremner@debian.org>  Thu, 25 Aug 2022 06:43:45 -0700

racket (8.5+dfsg1-1) unstable; urgency=medium

  * Bug fix: "should no longer recommend libssl1.1", thanks to Vincent
    Lefevre (Closes: #1012733).
  * Remove dubious files (as defined by zlib source package) from embedded
    zlib.

 -- David Bremner <bremner@debian.org>  Mon, 13 Jun 2022 08:29:09 -0300

racket (8.5-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Wed, 08 Jun 2022 11:35:40 -0300

racket (8.4-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS building for armel,armhf on arm64", thanks to Steve
    McIntyre (Closes: #917794); not found with new Chez Scheme backend.
  * Bug fix: "please clean up mentions of plt-scheme" (Closes: #930533).

 -- David Bremner <bremner@debian.org>  Sun, 20 Feb 2022 22:30:20 -0400

## racket 8.7%2Bdfsg1

=== debian/changelog ===
racket (8.7+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Wed, 28 Dec 2022 10:45:22 -0400

racket (8.7+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.7+dfsg1.
  * Drop patch 261948f, now upstream

 -- David Bremner <bremner@debian.org>  Thu, 17 Nov 2022 06:40:55 -0400

racket (8.5+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Thu, 16 Jun 2022 10:53:55 -0300

racket (8.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- David Bremner <bremner@debian.org>  Tue, 07 Jun 2022 10:50:54 -0300
